# Class CeaTask

java.lang.Object
uk.ac.starlink.ttools.cea.CeaTask

public class CeaTask extends Object
Represents a task suitable for use in the CEA interface of STILTS. Corresponds, but perhaps not exactly, to a STILTS task.

Since:
  17 Mar 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CeaTask(uk.ac.starlink.task.Task task, String name)`
Constructs a CeaTask.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns public task name.
`CeaParameter`
`getParameter(String name)`
Returns a named parameter of this task.
`CeaParameter[]`
`getParameters()`
Returns a list of the parameters associated with this task for the purposes of CEA use.
`String`
`getPurpose()`
Returns task purpose.
`void`
`removeParameter(String name)`
Removes a named parameter from this task's parameter list.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CeaTask

public CeaTask(uk.ac.starlink.task.Task task, String name)
Constructs a CeaTask.

Parameters:
  `task` - ttools task object
  `name` - public name of the task

## Method Details

### getName

public String getName()
Returns public task name.

Returns:
  task name

### getPurpose

public String getPurpose()
Returns task purpose.

Returns:
  task purpose

### removeParameter

public void removeParameter(String name)
Removes a named parameter from this task's parameter list.

Parameters:
  `name` - name of the parameter to remove

### getParameter

public CeaParameter getParameter(String name)
Returns a named parameter of this task.

Parameters:
  `name` - of the parameter
Returns:
  parameter

### getParameters

public CeaParameter[] getParameters()
Returns a list of the parameters associated with this task for the purposes of CEA use.

Returns:
  parameter list